#
define installlocation /fnal/ups/
Summary: UPS/UPD bootstrap local config file
Name: upsupdbootstrap-generic
Version: 4.0
Release: 1
Copyright: Fermi 
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux LTS 4.x
Vendor: Fermilab
Packager: Connie Sieh
prereq: upsupdbootstrap
requires: upsupdbootstrap, perl, perl-libwww-perl
%description
Installs upsupdbootstrap into %{installlocation} .  Will NOT overwrite a existing %{installlocation} area.  Will not remove a existing %{installlocation} area on removal.
%files
%pre
if [ -d %{installlocation} ] ; then
  echo "Will not overwrite a existing %{installlocation} area."
  echo "If you need to overwrite it the remove %{installlocation}"
  echo ", and install this rpm again"
  exit
fi
%post
VERSION=.v2_2
chmod 755 /var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/stage1.sh
#CJS edit out making of /usr/local/bin/bash links
CONFIG=/var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/configs/generic
sed -e "s/do_ups installasroot shells/#do_ups installasroot shells/" $CONFIG > /tmp/config.save
/var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/stage1.sh -c /var/tmp/upsupdbootstrap/ /tmp/config.save 
rm -r /var/tmp/upsupdbootstrap/
%postun
